html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

body {
    background-color: #444444;
    font-size: 18px;
}

nav {
    width: 100%;
    height: 80px;
    background: linear-gradient(to right, #00000000 10%, #00000000, #111111cc 80%, #111111cc 100px);
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    flex-direction: row-reverse;
}

menu {
    padding-right: 40px;
}

menu ul {
    display: flex;
    gap: 60px;
}

menu li {
    transform: rotate(2.4deg);
    transition: all 0.2s;
}

menu li:hover {
    transform: rotate(0);
}

menu a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
    transition: all 0.2s;
}

menu a:hover {
    color: #06d6a0
}

#mobile-menu {
    display: none;
}

#logo {
    position: absolute;
    display: block;
    top: 15px;
    left: 15px;
    width: 96px;
    height: 96px;
    transition: all 0.2s;
}

#logo:hover {
    transform: rotate(-3deg)
}

#logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

#banner {
    width: 100%;
    height: 100vh;
    overflow: hidden;
    position: relative;
}

#banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.content {
    width: 1200px;
    margin: 0 auto;
}

.desc-content {
    width: 600px;
    ;
    margin: 0 auto;
}

#home-intro {
    width: 100%;
    height: 240px;
    margin-top: -240px;
    background: #111111cc;
    position: relative;
    z-index: 10;
    ;
}

#home-intro-content {
    padding-top: 24px;
    text-align: center;
}

#site-name {
    color: #06d6a0;
    font-weight: bolder;
    font-size: 28px;
    line-height: 50px;
    transform: rotate(-0.8deg)
}

#site-desc {
    color: white;
    font-weight: bold;
    font-size: 36px;
    line-height: 50px;
    margin-bottom: 20px;
    transform: rotate(0.8deg)
}

body.home #main .title {
    margin: 0 0 60px 20px;
    color: white;
    font-weight: bold;
    font-size: 26px;
    letter-spacing: 1px;
}

body.home #main .more {
    margin: 30px auto;
    text-align: center;
}

html body a.button {
    display: inline-block;
    text-decoration: none;
    margin: 10px auto;
    padding: 14px 30px;
    font-weight: bold;
    font-size: 20px;
    color: white;
    background: #06d6a0;
    transition: all 0.2s;
    border-radius: 5px;
    transform: rotate(0);
}

html body a.button:hover {
    color: #06d6a0;
    background: white;
    font-size: 22px;
    padding: 15px 31px;
    margin: 8px auto;
    transform: rotate(-1.2deg);
}

#main {
    padding: 60px 0;
}

#main .workshop .items {
    grid-template-columns: 33% 33% 33%;
    display: grid;
}

#main .workshop article a {
    display: inline-block;
    text-decoration: none;
    color: white;
    width: 100%;
    height: 100%;
    position: relative;
}

#main .workshop article {
    width: 300px;
    height: 180px;
    margin: 0 auto 20px auto;
    background-color: #333333;
    border: #000000 5px solid;
    transition: all 0.4s;
    overflow: hidden;
}

#main .workshop article .work-logo {
    width: 64px;
    height: 64px;
    position: absolute;
    transform: rotate(-18deg) scale(0.85);
    top: -20px;
    left: -20px;
    transition: all 0.2s;
}

#main .workshop article:hover .work-logo {
    top: 5px;
    left: 5px;
    transform: rotate(0deg) scale(1);
}

#main .workshop article .work-logo img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

#main .workshop article .work-title {
    color: white;
    font-size: 22px;
    font-weight: bold;
    height: 30px;
    line-height: 30px;
    position: absolute;
    white-space: nowrap;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: 10px;
    text-shadow: 1px 1px 8px #333333;
    transition: all 0.4s;

}

#main .workshop article:hover .work-title {
    margin-top: 0;
    font-size: 24px;
    text-shadow: 3px 3px 20px #222222;

}

#main .workshop article .work-bg {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    filter: brightness(0.8) blur(0px);
    transition: all 0.4s;
}

#main .workshop article:hover .work-bg {
    filter: brightness(0.9) blur(2px);
}

#main .workshop article {
    transform: rotate(1.5deg) scale(0.95);
}

#main .workshop article.company {
    transform: rotate(-1.8deg) scale(0.95);
}

#main .workshop article.community {
    transform: rotate(2.1deg) scale(0.95);
}

#main .workshop article:hover {
    transform: rotate(0) scale(1);
    border-color: white;
}

#main .workshop .work-wrapper {
    width: 330px;
    margin: 10px auto;
}

#main .workshop a.work-intro {
    text-align: center;
    display: block;
    text-decoration: none;
    color: #06d6a0;
    font-weight: bold;
    font-size: 20px;
}

#main .blogs .blog-wrapper {
    width: 500px;
    margin: 0 auto;
}

#main .blogs article {
    margin: 20px auto;
    height: 480px;
    position: relative;
}

#main .blogs article>a {
    display: flex;
    text-decoration: none;
    color: white;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    height: 100%;
    width: 100%;
}

#main .blogs .items {
    grid-template-columns: 50% 50%;
    display: grid;

}

#main .blogs article img.blog-img {
    width: 450px;
    height: 300px;
    object-fit: cover;
    filter: brightness(0.8);
    transition: all 0.4s;
    box-shadow: 0px 0px 16px black;
}

#main .blogs article img.blog-img {
    transform: rotate(-3deg);
}
#main .blogs article.ai img.blog-img{
    transform: rotate(1.5deg);
}
#main .blogs article:hover .blog-img {
    filter: brightness(1);
}

#main .blogs article .blog-intro {
    text-align: center;
    height: 140px;
}

#main .blogs article .blog-title {
    color: #06d6a0;
    font-weight: bolder;
    font-size: 24px;
    line-height: 30px;
    margin: 10px 0 5px 0;
}

#main .blogs article .published {
    color: #999999;
    font-size: 16px;
    height: 20px;
    line-height: 20px;
}

#main .blogs article .blog-summary {
    color: #dddddd;
    font-size: 18px;
    line-height: 28px;
    margin: 5px 0 10px 0;
}




.page-content {
    margin-top: 200px;
}

.page-content h1 {
    text-align: center;
    color: #06d6a0;
    font-weight: bolder;
    font-size: 32px;
    line-height: 50px;
}

.page-content .page-desc {
    color: #cccccc;
    font-size: 28px;
    line-height: 40px;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 40px;
}

#footer-intro {
    background-color: #333333;
    color: white;
    padding: 20px 0;
    height: 300px;
    border-top: 2px solid black;
    text-align: right;
}

#footer-intro .content {
    display: flex;
}

#footer-avatar {
    width: 40%;
    height: 300px;
    background-image: url(/images/avatar.webp);
    background-size: contain;
    background-position: center bottom;
    background-repeat: no-repeat;
}

#footer-intro .intro {
    width: 40%;
    margin: 0 0 0 auto;
}

#footer-intro h2 {
    font-size: 28px;
    font-weight: bold;
    margin-bottom: 20px;
    margin-top: 20px;
    color: #06d6a0;
}

#footer-intro .slogon {
    font-size: 22px;
    line-height: 32px;
    margin-bottom: 10px;
}

#footer-intro .detail {
    font-size: 18px;
    line-height: 28px;
    color: #cccccc;
}

#footer-intro .join {
    margin: 20px 0;
}

footer {
    padding: 10px 0;
    background: #e2e2e2;
    color: black;
    text-align: center;
}

footer a {
    color: black;
    transition: all 0.2s;

}

footer a:hover {
    color: #06d6a0
}

#footer-menu ul {
    display: flex;
    gap: 40px;
    margin: auto;
    justify-content: center;
    line-height: 28px;
    padding: 0.5em;
}

#footer-menu a {
    font-weight: bold;
    text-decoration: none;
}

#copyright {
    height: 24px;
    line-height: 24px;
}

.article-content {
    min-height: calc(100vh - 160px);
    margin-top: 120px;
}

.article-content h1 {
    color: #06d6a0;
    font-weight: bolder;
    font-size: 28px;
    line-height: 40px;
    margin-bottom: 10px;
}

.article-content .published {
    color: #999999;
    font-size: 16px;
    height: 20px;
    line-height: 20px;
    margin-bottom: 10px;
}

.article-content .blog-summary {
    color: #aaaaaa;
    font-size: 22px;
    line-height: 28px;
    margin-bottom: 20px;
}

.article-content img {
    max-width: 100%;
    margin: 20px auto;
    display: block;
}

.article-content .blog-body {
    color: #eeeeee;
    font-size: 18px;
    line-height: 32px;
}

.article-content a {
    color: #06d6a0;
    text-decoration: underline;
}

#main {
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;
    padding-bottom: 100px;
}

body.blogs #main {
    background-image: url(/images/blogsbg.webp);
}

body.works #main {
    background-image: url(/images/worksbg.webp);
}

body.about #main {
    background-image: url(/images/aboutbg.webp);
}

body.about #main .qa {
    text-align: center;
    padding-top: 60px;
    border-top: #353535 2px solid;
    font-size: 18px;
    line-height: 28px;
    color: #cccccc;
}

body.about #main h2 {
    color: white;
    font-weight: bold;
    font-size: 22px;
    margin-bottom: 16px;
    line-height: 32px;
}

body.about #main .answer {
    margin-bottom: 50px;
}

body.about #main a {
    color: #06d6a0;
    text-decoration: underline;
}

#mobile-menu-overlay {
    height: 100vh;
    width: 100%;
    position: fixed;
    top: 0;
    left: 200vw;
    background: #dddddd url(/images/menubg.webp) no-repeat center bottom;
    display: block;
    transition: all 0.4s;
    z-index: 101;
    padding: 100px 10px 100px;
    box-sizing: border-box;

}

@media screen and (max-width: 1280px) {
    .content {
        width: 800px;
        margin: 0 auto;
    }

    #main .workshop .items {
        grid-template-columns: 50% 50%;
    }

    #main .blogs .items {
        grid-template-columns: 100%;
    }
}

@media screen and (max-width: 960px) {
    nav {
        background: none;
        position: absolute;
        height: 84px;
    }

    #logo {
        top: 10px;
        left: 10px;
        width: 64px;
        height: 64px;
    }

    #mobile-menu-logo {
        top: 10px;
        left: 10px;
        width: 64px;
        height: 64px;
        position: absolute;
    }

    #mobile-menu-logo img {
        display: block;
        width: 100%;
        height: 100%;
    }

    .content {
        width: 80%
    }

    .desc-content {
        width: auto;
    }

    nav menu {
        display: none;
    }

    #main .workshop .items {
        grid-template-columns: 100%;
    }

    #footer-intro .content {
        flex-direction: column-reverse;
    }

    #footer-intro .intro {
        text-align: center;
        width: auto;
        height: 300px;
    }

    #footer-intro {
        height: 600px;
    }

    #footer-avatar {
        width: 100%;
        height: 300px;
    }

    #main {
        padding-top: 96px;
        background-size: auto;
    }

    #main .blogs .blog-wrapper {
        width: 100%;
    }

    #main .blogs article .blog-cover {
        width: 100%;
        padding-top: 66.66%;
        position: relative;
    }

    #main .blogs article img.blog-img {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0
    }

    #main .blogs article {
        height: auto;
    }

    body {
        width: 100%;
    }

    #footer-intro h2 {
        margin-top: 12px;
        margin-bottom: 12px;
        font-size: 20px;
    }

    #footer-intro .slogon {
        font-size: 18px;
        line-height: 28px;
    }

    #footer-intro .detail {
        font-size: 16px;
        line-height: 24px;
    }

    #mobile-menu {
        display: block;
        width: 48px;
        height: 48px;
        position: absolute;
        top: 18px;
        right: 18px;
        background: #ffffffaa;
        border-radius: 8px;
        background-image: url(/images/menu.png);
        background-repeat: no-repeat;
        background-position: center;
    }

    #mobile-menu-close {
        display: block;
        width: 48px;
        height: 48px;
        position: absolute;
        top: 18px;
        right: 18px;
        background-image: url(/images/close.png);
        background-repeat: no-repeat;
        background-position: center;
    }

    body.mobile-menu-opened #mobile-menu-overlay {
        left: 0;
    }

    #mobile-menu-list {
        height: 100%;
        max-height: 480px;
        width: 100%;
        text-align: center;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
    }

    #mobile-menu-list a {
        color: #333333;
        font-size: 48px;
        font-weight: bolder;
        text-decoration: none;
        letter-spacing: 10px;
        transition: all 0.2s;
    }

    #mobile-menu-list a:hover {
        color: #06d6a0;
    }

    .page-content h1 {
        font-size: 30px;
        line-height: 45px;
    }

    .page-content .page-desc {
        font-size: 24px;
        line-height: 32px;
    }
}